2019-08-21 10:51 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000150mercuryBugpublic2010-09-15 14:39
Reporterjuliensf 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000150: nit in error msg
DescriptionFrom the BUGS file

------------------

Subject: nit in error msg
Date: Thu, 16 May 1996 10:25:42 +1000 (EST)

Here's another small error in an error message. If you comment out
the [] clause for the functions car/1 or cdr/1, you get this message:

fntest.m:023: In `car(in) = out':
fntest.m:023: Error: determinism declaration not satisfied.
fntest.m:023: Declared `det', inferred `semidet'.
fntest.m:023: in argument 1 of clause head:
fntest.m:023: unification of `HeadVar__1' and `[X | V_4]' can fail.

It says Declared `det', inferred `semidet', but I never declared it at
all. It's a bit misleading. Certainly not a major problem, and the
later part of the message makes it quite clear what the problem is,
but I thought I'd point it out to you before I forgot it.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000291

zs (developer)

Fix committed 15 sep 2010.
+Notes

-Issue History
Date Modified Username Field Change
2010-05-25 13:37 juliensf New Issue
2010-09-15 14:39 zs Note Added: 0000291
2010-09-15 14:39 zs Status new => resolved
2010-09-15 14:39 zs Resolution open => fixed
2010-09-15 14:39 zs Assigned To => zs
+Issue History